Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414080 - [Disperse] IO pauses for few seconds while creating and writing files on mount point.
Summary: [Disperse] IO pauses for few seconds while creating and writing files on mou...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Ashish Pandey
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 17:12 UTC by Ashish Pandey
Modified: 2018-10-17 09:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-17 09:33:37 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Ashish Pandey 2017-01-17 17:12:26 UTC
Description of problem:

IO pauses for few seconds while creating and writing files on mount point. 
This pause can be observed for 1 sec to 5 secs.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create 4+2 ec volume 
2. mount and start creating and writing of files on mount point
for i in {1..10000}; do dd if=/dev/zero of=file-1-$i count=1 bs=1M; done


Actual results:

IO seems to pause for few seconds.

Expected results:
There should not be any pause. 

Additional info:


[root@apandey /]# gluster --version
glusterfs 3.10dev
Repository revision: git://git.gluster.org/glusterfs.git
Copyright (c) 2006-2016 Red Hat, Inc. <https://www.gluster.org/>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
It is licensed to you under your choice of the GNU Lesser
General Public License, version 3 or any later version (LGPLv3
or later), or the GNU General Public License, version 2 (GPLv2),
in all cases as published by the Free Software Foundation.
[root@apandey /]#

Comment 1 Pranith Kumar K 2017-01-23 14:43:13 UTC
Do you have any theory as to why this happens? Profile info would help.

Comment 2 Ashish Pandey 2018-10-17 09:33:37 UTC
Not seeing this for last few releases. Closing this bug now.


Note You need to log in before you can comment on or make changes to this bug.